Subject: Re: [PATCH v11] ASoC: fsl: Add S/PDIF machine driver

From: Stephen Warren <[email-masked]>
Date: Fri, 23 Aug 2013 13:08:28 -0600

On 08/23/2013 02:04 AM, Nicolin Chen wrote:
> This patch implements a device-tree-only machine driver for Freescale
> i.MX series Soc. It works with spdif_transmitter/spdif_receiver and
> fsl_spdif.c drivers.

The binding looks reasonable to me now. Thanks.

> diff --git a/sound/soc/fsl/imx-spdif.c b/sound/soc/fsl/imx-spdif.c

> +	if (of_property_read_bool(np, "spdif-out")) {

I'd be tempted to safe those property values into a variable so that ...

> +	data->txdev = platform_device_register_simple("spdif-dit", -1, NULL, 0);
...
> +	data->rxdev = platform_device_register_simple("spdif-dir", -1, NULL, 0);

... those two statements could be conditional upon whether TX/RX were
required too.

However, this isn't a big deal, and could be cleaned up later.